import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:wallpaper/pages/mypage/mypage_controller.dart';

class MyPageView extends GetView <MyPageController> {
  const MyPageView({super.key});

  @override 
  Widget build(BuildContext context) {
    const title = '我的';
    return Scaffold(
        appBar: AppBar(
          centerTitle: true,
          title: const Text(title),
        ),
        body: ListView(
          children:  <Widget>[
            ListTile(
              leading: const Icon(Icons.web),
              title: const Text('隐私协议'),
              trailing: const Icon(Icons.arrow_forward_ios),
              onTap: () {
                controller.goWebview("https://wallpapertoday.mystrikingly.com/privacy",'隐私协议');
              },
            ),
            ListTile(
              leading: const Icon(Icons.supervisor_account),
              title: const Text('用户协议'),
              trailing: const Icon(Icons.arrow_forward_ios),
              onTap: () {
                controller.goWebview("https://wallpapertoday.mystrikingly.com/terms",'用户协议');
              },
            ),
            const ListTile(
              leading: Icon(Icons.info),
              title: Text('系统版本'),
              trailing: Text("v1.0",style: TextStyle(fontSize: 14),),
            ),
          ],
        ),
      );
  
  }
}